IBIS pre-emphasis buffer macro model 
**********************************************************************
.TRAN 5.0ps 50.0ns
.OPTIONS POST=1 POST_VERSION=9007 PROBE ACCURATE RMAX=0.5 INGOLD
.TEMP=50
**********************************************************************
.PROBE TRAN
+ Pls     = V(Pls)
+ Out_P   = V(Out_P)
+ Out_N   = V(Out_N)
.PRINT TRAN
+ Pls     = V(Pls)
+ Out_P   = V(Out_P)
+ Out_N   = V(Out_N)
**********************************************************************
Vpls  Pls   0  PULSE  (1.0V 0.0V 0.1ns 1.0ps 1.0ps 25.0ns 50.0ns)
Ven   En_D  0  DC= 1.0
Vvcc  Vcc   0  DC= 5.0
Vgnd  GRND  0  DC= 0.0
**********************************************************************
X1  Pls   En_D  Out_P  Out_N  Vcc     Vcc     GRND    GRND    PreDe_IO
*   In_D  En_D  IO_P   IO_N   PC_ref  PU_ref  PD_ref  GC_ref
*
R1  Out_P    Out_N  R= 100
*
**********************************************************************
.SUBCKT  PreDe_IO  In_D  En_D  IO_P  IO_N  PC_ref  PU_ref  PD_ref  GC_ref  ScaleBoost = -0.5;
*
BPosM  PU_ref  PD_ref  IO_P  In_D   En_D  Rcv_PM  PC_ref  GC_ref
+ file=  'Lab_1.ibs'
+ model= 'io50v'
+ buffer= 3
+ ramp_rwf=2
+ ramp_fwf=2
+ power=off
RrcvPM  Rcv_PM  0  R=1.0k
*
BNegM  PU_ref  PD_ref  IO_N  In_NM  En_D  Rcv_NM  PC_ref  GC_ref
+ file=  'Lab_1.ibs'
+ model= 'io50v'
+ buffer= 3
+ ramp_rwf=2
+ ramp_fwf=2
+ power=off
RrcvNM  Rcv_NM  0  R=1.0k
*
BPosB  PU_refPB  PD_refPB  IO_P  In_PB  En_D  Rcv_PB  PC_refPB  GC_refPB
+ file=  'Lab_1.ibs'
+ model= 'io50v'
+ buffer= 3
+ ramp_rwf=2
+ ramp_fwf=2
+ power=off
RrcvPB  Rcv_PB  0  R=1.0k
*
BNegB  PU_refNB  PD_refNB  IO_N  In_NB  En_D  Rcv_NB  PC_refNB  GC_refNB
+ file=  'Lab_1.ibs'
+ model= 'io50v'
+ buffer= 3
+ ramp_rwf=2
+ ramp_fwf=2
+ power=off
RrcvNB  Rcv_NB  0  R=1.0k
*
Einverter  In_NM   PD_ref  VOL='1-V(In_D, PD_ref)'
Edly1      In_NB   PD_ref  VCVS  DELAY  In_D   PD_ref  TD=10.0e-9
Edly2      In_PB   PD_ref  VCVS  DELAY  In_NM  PD_ref  TD=10.0e-9
*
VpcP  PC_ref  PC_refPB  DC=0
VpuP  PU_ref  PU_refPB  DC=0
VpdP  PD_ref  PD_refPB  DC=0
VgcP  GC_ref  GC_refPB  DC=0
*
VpcN  PC_ref  PC_refNB  DC=0
VpuN  PU_ref  PU_refNB  DC=0
VpdN  PD_ref  PD_refNB  DC=0
VgcN  GC_ref  GC_refNB  DC=0
*
FpcP  PC_ref  IO_P  CCCS  VpcP  ScaleBoost
FpuP  PU_ref  IO_P  CCCS  VpuP  ScaleBoost
FpdP  PD_ref  IO_P  CCCS  VpdP  ScaleBoost
FgcP  GC_ref  IO_P  CCCS  VgcP  ScaleBoost
*
FpcN  PC_ref  IO_N  CCCS  VpcN  ScaleBoost
FpuN  PU_ref  IO_N  CCCS  VpuN  ScaleBoost
FpdN  PD_ref  IO_N  CCCS  VpdN  ScaleBoost
FgcN  GC_ref  IO_N  CCCS  VgcN  ScaleBoost
*
.ENDS
**********************************************************************
.END
***********************************************************************
